import 'package:flutter/cupertino.dart';
import 'package:liftmanager/internal/maintenance/model/maintenance_options_item.dart';

class MaintenanceDetailPageProvider extends ChangeNotifier {

  /// Tab的下标
  int _index = 0;
  int get index => _index;
  Map<int, List<MaintenanceOptionsItem>> _optionsMap = { 1: [], 2: [], 3: [], 4: [],5: []};
  Map<int, List<MaintenanceOptionsItem>> get optionsMap =>_optionsMap;

  void setIndex(int index) {
    _index = index;
    print("index:${index}");
    notifyListeners();
  }

  setOptions(Map<int, List<MaintenanceOptionsItem>> map){
    _optionsMap = map;
    notifyListeners();
  }

}